### Method

# Gio Socket get_multicast_ttl

since: 2.32

#### Declaration

    guint
    g_socket_get_multicast_ttl (
      GSocket* socket
    )

#### Description

Gets the multicast time-to-live setting on `socket`; see `g_socket_set_multicast_ttl()` for more details.

Available since: 2.32

Gets property | `Gio.Socket:multicast-ttl`

#### Return value

Type: `guint`

The multicast time-to-live setting on `socket`.